# Generated by Django 4.2.21 on 2025-05-19 17:15

from django.db import migrations, connection


def noop_for_sqlite(apps, schema_editor):
    """
    No-op function for SQLite to avoid running the RenameIndex operation.
    This is a placeholder function that does nothing.
    """
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('canvas', '0039_remove_canvasenterprisecustomerconfiguration_client_id_and_more'),
    ]

    operations = []
    # Only run RenameIndex on non-SQLite:
    if connection.vendor != 'sqlite':
        operations.append(
            migrations.RenameIndex(
                model_name='canvaslearnerdatatransmissionaudit',
                new_name='canvas_customer_plugin_idx',
                old_fields=('enterprise_customer_uuid', 'plugin_configuration_id'),
            ),
        )
    else:
        # Noop on SQLite, and let your Meta.indexes definition create the index
        operations.append(migrations.RunPython(noop_for_sqlite))
