# Generated by Django 4.2.21 on 2025-05-19 17:15

from django.db import migrations, connection


def noop_for_sqlite(apps, schema_editor):
    """
    No-op function for SQLite to avoid running the RenameIndex operation.
    This is a placeholder function that does nothing.
    """
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('integrated_channel', '0035_genericlearnerdatatransmissionaudit_is_transmitted'),
    ]

    operations = []
    # Only run RenameIndex on non-SQLite:
    if connection.vendor != 'sqlite':
        operations.extend([
            migrations.RenameIndex(
                model_name='contentmetadataitemtransmission',
                new_name='customer_code_plugin_id_idx',
                old_fields=('enterprise_customer', 'integrated_channel_code', 'plugin_configuration_id', 'content_id'),
            ),
            migrations.RenameIndex(
                model_name='orphanedcontenttransmissions',
                new_name='channel_plugin_resolved_idx',
                old_fields=('integrated_channel_code', 'plugin_configuration_id', 'resolved'),
            )
        ])
    else:
        # Noop on SQLite, and let your Meta.indexes definition create the index
        operations.append(migrations.RunPython(noop_for_sqlite))
